function AISMN_BecomeNotAttackable::OnEnter(%this, %data)
{
   %object = GetThisObject(%data);
   IsAttackable(%object, false);
   
   %client = ClientGroup.getObject(0);
   %ghostID = %client.getGhostId(%object);
   commandToClient(%client, 'RemoveFromGroupSelection', %ghostID);
   return;
}

function AISMN_BecomeNotAttackable::OnExit(%this,%obj)
{
   return;
}

function AISMN_BecomeNotAttackable::Update(%this,%obj)
{
   ReturnValue(%obj,0);
   
   return;
}
